#include <bits/stdc++.h>
using namespace std;

int main ()
{
    int m, n, p, ans=0;
    cin >> m >> n >> p;
    for(int x=0; x<(n+1)/2; x++)
    {
        int i=x, j=x;
        for(; j<n-x-1; j++)
        {
            if(i==p-1)
            {
                ans+=m;
            }
            m++;
        }
        for(; i<n-x-1; i++)
        {
            if(i==p-1)
            {
                ans+=m;
            }
            m++;
        }
        for(; j>x; j--)
        {
            if(i==p-1)
            {
                ans+=m;
            }
            m++;
        }
        for(; i>x; i--)
        {
            if(i==p-1)
            {
                ans+=m;
            }
            m++;
        }
    }
    cout << ans << endl;
    return 0;
}
